Package org.eclipse.remote.core

# Interface IProcessFactory

public interface IProcessFactory
Abstraction of the java.lang.Runtime exec() methods to allow different implementations to be supplied.

## Method Summary

Modifier and Type
Method
Description
`Process`
`exec(String cmd)`
`Process`
`exec(String[] cmdarray)`
`Process`
`exec(String[] cmdarray, String[] envp)`
`Process`
`exec(String[] cmdarray, String[] envp, File dir)`
`Process`
`exec(String cmd, String[] envp)`
`Process`
`exec(String cmd, String[] envp, File dir)`

## Method Details

### exec

Process exec(String cmd) throws IOException

Throws:
  `IOException`

### exec

Process exec(String[] cmdarray) throws IOException

Throws:
  `IOException`

### exec

Process exec(String[] cmdarray, String[] envp) throws IOException

Throws:
  `IOException`

### exec

Process exec(String cmd, String[] envp) throws IOException

Throws:
  `IOException`

### exec

Process exec(String cmd, String[] envp, File dir) throws IOException

Throws:
  `IOException`

### exec

Process exec(String[] cmdarray, String[] envp, File dir) throws IOException

Throws:
  `IOException`